SystemOrganization addCategory: #'AL-Tests-HtmlApp'!

TestCase subclass: #ALHtmlAppRenderingTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Tests-HtmlApp'!

!ALHtmlAppRenderingTest methodsFor: 'as yet unclassified' stamp: 'cwp 10/14/2012 02:12'!
from: aBlock expect: aString
	| canvas stream compare context locator |
	compare := aString reading.
	locator := ALRestfulLocator sequential.
	context := ALRenderingContext resource: self locator: locator.
	stream := 	[:actual || expected |
				expected := compare get.
				self assert: actual = expected] 
					writing.
	canvas := ALAppHtml5Canvas context: context stream: stream.
	aBlock value: canvas.
	canvas flush.
	self should: [compare get] raise: Incomplete.
! !

!ALHtmlAppRenderingTest methodsFor: 'as yet unclassified' stamp: 'cwp 10/14/2012 01:45'!
testEscapeTextDeferedWithinAForm
	self 
		from: [:canvas | canvas form with: [canvas text: 'test']]
		expect: '<form action="/0">test</form>'! !
